## org.eclipse.datatools.connectivity.ui.dse.dnd
Class ConnectionProfileDropAssistant

    java.lang.Object
      org.eclipse.ui.navigator.CommonDropAdapterAssistant
          org.eclipse.datatools.connectivity.ui.dse.dnd.ConnectionProfileDropAssistant

    public class ConnectionProfileDropAssistant

extends org.eclipse.ui.navigator.CommonDropAdapterAssistant

Author:
  tqiu this class leverage CNF's built-in dnd support and simply used for DND connection profiles between different repositories

Constructor Summary
`ConnectionProfileDropAssistant()`

Method Summary
`org.eclipse.core.runtime.IStatus` `handleDrop(org.eclipse.ui.navigator.CommonDropAdapter dropAdapter, org.eclipse.swt.dnd.DropTargetEvent dropTargetEvent, java.lang.Object target)`
`org.eclipse.core.runtime.IStatus` `validateDrop(java.lang.Object target, int operation, org.eclipse.swt.dnd.TransferData transferType)`

Methods inherited from class org.eclipse.ui.navigator.CommonDropAdapterAssistant
`handlePluginTransferDrop, init, isSupportedType, validatePluginTransferDrop`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConnectionProfileDropAssistant

    public ConnectionProfileDropAssistant()

Method Detail

### handleDrop

    public org.eclipse.core.runtime.IStatus handleDrop(org.eclipse.ui.navigator.CommonDropAdapter dropAdapter,
                                                       org.eclipse.swt.dnd.DropTargetEvent dropTargetEvent,
                                                       java.lang.Object target)

  Specified by:
    `handleDrop` in class `org.eclipse.ui.navigator.CommonDropAdapterAssistant`

### validateDrop

    public org.eclipse.core.runtime.IStatus validateDrop(java.lang.Object target,
                                                         int operation,
                                                         org.eclipse.swt.dnd.TransferData transferType)

  Specified by:
    `validateDrop` in class `org.eclipse.ui.navigator.CommonDropAdapterAssistant`